UbixOS V2 2.0

Data Fields
sys_fread_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_fread_args:

## Data Fields
userFileDescriptor * | FILE
char | FILE_l_ [0]
char | FILE_r_ [(sizeof(register_t)<=sizeof(userFileDescriptor *) ? 0 :sizeof(register_t) - sizeof(userFileDescriptor *))]
long | nmemb
char | nmemb_l_ [0]
char | nmemb_r_ [(sizeof(register_t)<=sizeof(long) ? 0 :sizeof(register_t) - sizeof(long))]
void * | ptr
char | ptr_l_ [0]
char | ptr_r_ [(sizeof(register_t)<=sizeof(void *) ? 0 :sizeof(register_t) - sizeof(void *))]
long | size
char | size_l_ [0]
char | size_r_ [(sizeof(register_t)<=sizeof(long) ? 0 :sizeof(register_t) - sizeof(long))]

## Detailed Description

Definition at line 178 of file sysproto_posix.h.

## Field Documentation

## ◆ FILE

userFileDescriptor* sys_fread_args::FILE

Definition at line 189 of file sysproto_posix.h.

Referenced by sys_fread().

## ◆ FILE_l_

char sys_fread_args::FILE_l_[0]

Definition at line 188 of file sysproto_posix.h.

## ◆ FILE_r_

char sys_fread_args::FILE_r_[(sizeof(register_t)<=sizeof(userFileDescriptor *) ? 0 :sizeof(register_t) - sizeof(userFileDescriptor *))]

Definition at line 190 of file sysproto_posix.h.

## ◆ nmemb

long sys_fread_args::nmemb

Definition at line 186 of file sysproto_posix.h.

Referenced by sys_fread().

## ◆ nmemb_l_

char sys_fread_args::nmemb_l_[0]

Definition at line 185 of file sysproto_posix.h.

## ◆ nmemb_r_

char sys_fread_args::nmemb_r_[(sizeof(register_t)<=sizeof(long) ? 0 :sizeof(register_t) - sizeof(long))]

Definition at line 187 of file sysproto_posix.h.

## ◆ ptr

void* sys_fread_args::ptr

Definition at line 180 of file sysproto_posix.h.

Referenced by sys_fread().

## ◆ ptr_l_

char sys_fread_args::ptr_l_[0]

Definition at line 179 of file sysproto_posix.h.

## ◆ ptr_r_

char sys_fread_args::ptr_r_[(sizeof(register_t)<=sizeof(void *) ? 0 :sizeof(register_t) - sizeof(void *))]

Definition at line 181 of file sysproto_posix.h.

## ◆ size

long sys_fread_args::size

Definition at line 183 of file sysproto_posix.h.

Referenced by sys_fread().

## ◆ size_l_

char sys_fread_args::size_l_[0]

Definition at line 182 of file sysproto_posix.h.

## ◆ size_r_

char sys_fread_args::size_r_[(sizeof(register_t)<=sizeof(long) ? 0 :sizeof(register_t) - sizeof(long))]

Definition at line 184 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h